Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dsl
Class DefaultConfigurationHandler

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.artifacts.configurations.DefaultConfigurationContainer
                  org.gradle.api.internal.artifacts.dsl.DefaultConfigurationHandler

    class DefaultConfigurationHandler
    extends DefaultConfigurationContainer

author:
  Hans Dockter

Constructor Summary
`DefaultConfigurationHandler(IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)`

Method Summary
`void` | `configure(groovy.lang.Closure configureClosure)`
`Configuration` | `findByName(java.lang.String name)`
`Configuration` | `getAt(java.lang.String name)`
`Configuration` | `getByName(java.lang.String name)`
`Configuration` | `getByName(java.lang.String name, groovy.lang.Closure configureClosure)`

Methods inherited from class DefaultConfigurationContainer
add, add, createNotFoundException, detachedConfiguration, getDisplayName, getIvyService, getProjectDependenciesBuildInstruction, toString

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultConfigurationHandler

    public DefaultConfigurationHandler(IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)

Method Detail

### configure

    void configure(groovy.lang.Closure configureClosure)

### findByName

    public Configuration findByName(java.lang.String name)

### getAt

    public Configuration getAt(java.lang.String name)

### getByName

    public Configuration getByName(java.lang.String name)

### getByName

    public Configuration getByName(java.lang.String name, groovy.lang.Closure configureClosure)

Groovy Documentation